aboutsummaryrefslogtreecommitdiff
path: root/share/zoneinfo/yearistype.sh
diff options
context:
space:
mode:
authorGarrett Wollman <wollman@FreeBSD.org>1995-08-04 15:53:27 +0000
committerGarrett Wollman <wollman@FreeBSD.org>1995-08-04 15:53:27 +0000
commit5c277f7ea8518ff714d39c5339483eedf702a3fb (patch)
tree97f4324344451776a5fb037c7590a402e8ea8449 /share/zoneinfo/yearistype.sh
parentd2746e980f4edb1ee1c5882e6531ca869843074f (diff)
downloadsrc-5c277f7ea8518ff714d39c5339483eedf702a3fb.tar.gz
src-5c277f7ea8518ff714d39c5339483eedf702a3fb.zip
Latest timezone data from Arthur David Olsonvendor/tzdata/tzdata95e
Obtained from: Arthur David Olson <ado@elsie.nci.nih.gov>
Notes
Notes: svn path=/vendor/tzdata/dist/; revision=9905 svn path=/vendor/tzdata/tzdata95e/; revision=9907; tag=vendor/tzdata/tzdata95e
Diffstat (limited to 'share/zoneinfo/yearistype.sh')
-rwxr-xr-xshare/zoneinfo/yearistype.sh34
1 files changed, 21 insertions, 13 deletions
diff --git a/share/zoneinfo/yearistype.sh b/share/zoneinfo/yearistype.sh
index 42ef29bbe879..c7a886c25ba9 100755
--- a/share/zoneinfo/yearistype.sh
+++ b/share/zoneinfo/yearistype.sh
@@ -1,18 +1,26 @@
#! /bin/sh
-: '@(#)yearistype.sh 7.2'
+: '@(#)yearistype.sh 7.3'
case $#-$2 in
- 2-odd) case $1 in
- *[13579]) exit 0 ;;
- *) exit 1 ;;
- esac ;;
- 2-even) case $1 in
- *[24680]) exit 0 ;;
- *) exit 1 ;;
- esac ;;
- 2-*) echo "$0: wild type - $2" >&2
- exit 1 ;;
- *) echo "$0: usage is $0 year type" >&2
- exit 1 ;;
+ 2-even) case $1 in
+ *[24680]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-nonpres) case $1 in
+ *[02468][048]|*[13567][26]) exit 1 ;;
+ *) exit 0 ;;
+ esac ;;
+ 2-odd) case $1 in
+ *[13579]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-uspres) case $1 in
+ *[02468][048]|*[13567][26]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-*) echo "$0: wild type - $2" >&2
+ exit 1 ;;
+ *) echo "$0: usage is $0 year type" >&2
+ exit 1 ;;
esac